### Property

# GimpUi FileChooser:action

since: 3.0

#### Declaration

    property action: Gimp.FileChooserAction [ read, write ]

#### Description [src]

The action determining the chooser UI.

Type:`GimpFileChooserAction`

Available since: 3.0

Default value | GIMP_FILE_CHOOSER_ACTION_OPEN
Getter method | `gimp_file_chooser_get_action()`
Setter method | `gimp_file_chooser_set_action()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no